import babel from 'rollup-plugin-babel';
import resolve from 'rollup-plugin-node-resolve';
import commonjs from 'rollup-plugin-commonjs';

const extensions = ['.js', '.jsx', '.ts', '.tsx'];

export default [
  {
    input: 'src/index.js',
    output: {
      format: 'iife',
      file: 'build/umd/gt_design.development.js',
      name: 'gt_design'
    },
    external: ['styled-components', 'styled-reset', 'styled-system', 'prop-types'],
    plugins: [
      resolve({
        mainFields: ['module', 'main', 'jsnext:main', 'browser'],
        extensions
      }),
      commonjs({
        include: 'node_modules/**',
        namedExports: {
          'node_modules/react-is/index.js': ['typeOf', 'isValidElementType']
        }
      }),
      babel({
        exclude: './node_modules/**',
        extensions
      })
    ]
  }
];
